# Uses of Interface
org.eclipse.birt.report.engine.extension.IReportEvent

Packages that use IReportEvent
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IReportEvent in org.eclipse.birt.report.engine.extension

Subinterfaces of IReportEvent in org.eclipse.birt.report.engine.extension
Modifier and Type
Interface
Description
`interface`
`IOnCreateEvent`
`interface`
`IOnPrepareEvent`
`interface`
`IOnRenderEvent`
Methods in org.eclipse.birt.report.engine.extension with parameters of type IReportEvent
Modifier and Type
Method
Description
`void`
IReportEventHandler.`handle(IReportEvent event)`